[arch-commits] Commit in qwt/repos (3 files)

Ronald van Haren ronald at archlinux.org
Thu May 14 07:17:02 EDT 2009


    Date: Thursday, May 14, 2009 @ 07:17:01
  Author: ronald
Revision: 39254

Merged revisions 38793 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/qwt/trunk

........
  r38793 | ronald | 2009-05-10 15:49:47 +0200 (Sun, 10 May 2009) | 1 line
  
  upgpkg: qwt 5.2.0-1
........

Modified:
  qwt/repos/extra-i686/	(properties)
  qwt/repos/extra-i686/PKGBUILD
  qwt/repos/extra-i686/qwtconfig-archlinux.pri

-------------------------+
 PKGBUILD                |   26 +++++++++++++++-----------
 qwtconfig-archlinux.pri |    2 +-
 2 files changed, 16 insertions(+), 12 deletions(-)


Property changes on: qwt/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /qwt/trunk:1-11571
   + /qwt/trunk:1-39253

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-14 10:51:10 UTC (rev 39253)
+++ extra-i686/PKGBUILD	2009-05-14 11:17:01 UTC (rev 39254)
@@ -2,32 +2,36 @@
 # Maintainer: Ronald van Haren <ronald.archlinux.org>
 
 pkgname=qwt
-pkgver=5.1.1
+pkgver=5.2.0
 pkgrel=1
 pkgdesc="Qt Widgets for Technical Applications"
-arch=("i686" "x86_64")
+arch=('i686' 'x86_64')
 url="http://qwt.sourceforge.net/"
-depends=('qt>=4.4.1')
+depends=('qt>=4.5.1')
 options=('!makeflags')
 license=("custom:$pkgname")
 source=("http://downloads.sourceforge.net/sourceforge/qwt/$pkgname-$pkgver.tar.bz2" \
         "qwtconfig-archlinux.pri")
-md5sums=('218cef1a39ebda6cfa440a0727464275'
-         '7e9353ff45dca2d1038becccbb0e7717')
+md5sums=('c60b4cfac271a41524402b3ae5197890'
+         '2cb9135ec875d6de0214fcb032f184a3')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd ${srcdir}/${pkgname}-${pkgver}
 
   # copy our config file to the right place
-  cp -f $srcdir/qwtconfig-archlinux.pri \
-	$srcdir/$pkgname-$pkgver/qwtconfig.pri || return 1
+  cp -f ${srcdir}/qwtconfig-archlinux.pri \
+	${srcdir}/${pkgname}-${pkgver}/qwtconfig.pri || return 1
 
   # build qwt:
   qmake qwt.pro
   make || return 1
-  make INSTALL_ROOT=$pkgdir QTDIR=/usr install || return 1
+  make INSTALL_ROOT=${pkgdir} QTDIR=/usr install || return 1
 
+  # fix doc files
+  install -d ${pkgdir}/usr/share/doc/${pkgname}
+  mv -f ${pkgdir}/usr/share/html/* ${pkgdir}/usr/share/doc/${pkgname}
+  
   # install licence
-  install -D -m644 $srcdir/$pkgname-$pkgver/COPYING \
-	$pkgdir/usr/share/licenses/$pkgname/license.txt
+  install -Dm644 ${srcdir}/${pkgname}-${pkgver}/COPYING \
+	${pkgdir}/usr/share/licenses/${pkgname}/license.txt
 }

Modified: extra-i686/qwtconfig-archlinux.pri
===================================================================
--- extra-i686/qwtconfig-archlinux.pri	2009-05-14 10:51:10 UTC (rev 39253)
+++ extra-i686/qwtconfig-archlinux.pri	2009-05-14 11:17:01 UTC (rev 39254)
@@ -12,7 +12,7 @@
 
 target.path    = $$INSTALLBASE/lib
 headers.path   = $$INSTALLBASE/include/qwt
-doc.path       = $$INSTALLBASE/share/qwt/doc
+doc.path       = $$INSTALLBASE/share
 
 ######################################################################
 # qmake internal options



More information about the arch-commits mailing list